Bug 1496652 (CVE-2017-7814) - CVE-2017-7814 Mozilla: Blob and data URLs bypass phishing and malware protection warnings (MFSA 2017-22)
Summary: CVE-2017-7814 Mozilla: Blob and data URLs bypass phishing and malware protect...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-7814
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1494903
TreeView+ depends on / blocked
 
Reported: 2017-09-28 04:27 UTC by Doran Moppert
Modified: 2019-09-29 14:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-11 23:51:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2831 normal SHIPPED_LIVE Critical: firefox security update 2017-09-29 03:47:43 UTC
Red Hat Product Errata RHSA-2017:2885 normal SHIPPED_LIVE Important: thunderbird security update 2017-10-12 03:40:10 UTC

Description Doran Moppert 2017-09-28 04:27:09 UTC
File downloads encoded with blob: and data: URL elements bypassed normal file download checks though the Phishing and Malware Protection feature and its block lists of suspicious sites and files. This would allow malicious sites to lure users into downloading executables that would otherwise be detected as suspicious.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-22/#CVE-2017-7814

Comment 2 Doran Moppert 2017-09-28 05:03:52 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: François Marier

Comment 4 errata-xmlrpc 2017-09-28 23:48:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2831 https://access.redhat.com/errata/RHSA-2017:2831

Comment 5 errata-xmlrpc 2017-10-11 23:40:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2885 https://access.redhat.com/errata/RHSA-2017:2885


Note You need to log in before you can comment on or make changes to this bug.